org.apache.ivy.core.event.download

## Class PrepareDownloadEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.download.PrepareDownloadEvent

    public class PrepareDownloadEvent
    extends IvyEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`PrepareDownloadEvent(Artifact[] artifacts)`

### Method Summary

Methods
`Artifact[]` `getArtifacts()`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### PrepareDownloadEvent

    public PrepareDownloadEvent(Artifact[] artifacts)

### Method Detail

#### getArtifacts

    public Artifact[] getArtifacts()